uniform float checkSize;
varying vec2 surfacePos;

void main()
{
    vec2 position = surfacePos / checkSize;
	
	if(
	   (fract(position.x) < 0.5 && fract(position.y) < 0.5) ||
	   (fract(position.x) > 0.5 && fract(position.y) > 0.5)
      )
	    gl_FragColor = vec4(0, 0, 0, 1.0);
    else
        gl_FragColor = vec4(1, 1, 1, 1.0);	
}



